#!/bin/bash

mkdir -p data/local
local=`pwd`/local
export PATH=$PATH:`pwd`/../../../tools/irstlm/bin
echo "Preparing data"
waves_dir=$1

cd data/local
ls -1 ../../$waves_dir > waves_all.list
../../local/create_janee_waves_test_train.pl waves_all.list waves.test waves.train
../../local/create_janee_wav_scp.pl ${waves_dir} waves.test > test_wav.scp
../../local/create_janee_wav_scp.pl ${waves_dir} waves.train > train_wav.scp
../../local/create_janee_txt.pl waves.test > test.txt
../../local/create_janee_txt.pl waves.train > train.txt
cp ../../input/task.arpabo lm_tg.arpa
cd ../..

for x in train test; do 
	mkdir -p data/$x
	cp data/local/${x}_wav.scp data/$x/wav.scp
	cp data/local/$x.txt data/$x/text
	cat data/$x/text | awk '{printf("%s global\n", $1);}' > data/$x/utt2spk
	utils/utt2spk_to_spk2utt.pl <data/$x/utt2spk > data/$x/spk2utt
done
