#!/bin/bash

# From the data-prep tutorial of the Kaldi docs:
# 
# Creating the "lang" directory
# =============================
# The thing which you, as the data-preparer, need to create, is
# the directory data/local/dict/. The directory contains the
# following contents:
# ls data/local/dict
#	extra_questions.txt (this is left out of this recipe for simplicity)
#	lexicon.txt
#	nonsilence_phones.txt
#	optional_silence.txt
#	silence_phones.txt
#
# Beside these, lexicon_words.txt is also added...

mkdir -p data/local/dict
cp input/lexicon_nosil.txt data/local/dict/lexicon_words.txt
cp input/lexicon.txt data/local/dict/lexicon.txt
cat input/phones.txt | grep -v SIL > data/local/dict/nonsilence_phones.txt
echo "SIL" > data/local/dict/silence_phones.txt
echo "SIL" > data/local/dict/optional_silence.txt
echo "Dictionary preparation succeeded"
